List deals

Returns a paginated list of deals, with optional filters.

Endpoint

GET
/deals

Query parameters

NameTypeRequiredDescription
organization_idintegerNoOnly deals of this organization.
any deal fieldmixedNoFilter with Feathers syntax, e.g. status=open, pipeline_id=10, pipeline_stage_id[$in][]=101, contact_id=123, expected_close_date[$lte]=2026-06-30.
view_idintegerNoApply the filters of a saved deals view.
fastJoinForDealsListstringNoSet to true to embed related data (see embedded data).
includeDealActivitiesstringNoWith fastJoinForDealsList: false to leave out pending activities. Default true.
includeDealActivitySummarystringNoWith fastJoinForDealsList: true to add activitySummary. Default false.
includeDealWatchersstringNoWith fastJoinForDealsList: false to leave out watchers. Default true.
$limitintegerNoPage size. Default 10, max 50.
$skipintegerNoNumber of records to skip.
$sort[field]1 | -1NoSort, e.g. $sort[created_at]=-1.
$select[]stringNoOnly return these fields.

Request

Response

json

Each item is a full deal object; it is shortened here.

Report an issue with this documentation

Please log in to report issues with our documentation.